import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;

public class ObliqueGraphCanvasC extends GraphCanvasC{
    private static final Color bgcolor = new Color(236,236,236);
    //private static final Color bgcolor = new Color(170,240,240);
    private Image im;
    private Graphics buf;
    private Oblique_State state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    
    public ObliqueGraphCanvasC(Oblique_State state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	setYRangeMax(1.0);
	setYRangeMin(0.0);
	plotZeroLine(false);
	plotRefPoint(true);
	setLabels("Power Reflection Coefficient","| R |","Angle of Incidence");
	setRefPoint(state.theta1*1800.0/Math.PI);
	plot(state.x_deg,state.ref_array);
        //plot(state.x_deg,state.ref_array);
   }
   
}
